Package org.jboss.resteasy.client.jaxrs.cache

## Class MapCache

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.cache.MapCache

- All Implemented Interfaces:
    `BrowserCache`

      public class MapCache
      extends Object
      implements BrowserCache

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.client.jaxrs.cache.BrowserCache

      `BrowserCache.Entry, BrowserCache.Header`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​Map<String,​BrowserCache.Entry>>` | `cache` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapCache()` |
    `MapCache​(Map<String,​Map<String,​BrowserCache.Entry>> cache)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `protected Map<String,​Map<String,​BrowserCache.Entry>>` | `createCache()` |
    `BrowserCache.Entry` | `get​(String key, javax.ws.rs.core.MediaType accept)` |
    `BrowserCache.Entry` | `getAny​(String key)` |
    `BrowserCache.Entry` | `getEntry​(String key, javax.ws.rs.core.MediaType accept)` |
    `BrowserCache.Entry` | `put​(String key, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> headers, byte[] cached, int expires, String etag, String lastModified)` |
    `BrowserCache.Entry` | `put​(CacheEntry cacheEntry)` |
    `BrowserCache.Entry` | `remove​(String key, javax.ws.rs.core.MediaType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected Map<String,​Map<String,​BrowserCache.Entry>> cache

  - ### Constructor Detail

    - #### MapCache

          public MapCache()

    - #### MapCache

          public MapCache​(Map<String,​Map<String,​BrowserCache.Entry>> cache)

  - ### Method Detail

    - #### createCache

          protected Map<String,​Map<String,​BrowserCache.Entry>> createCache()

    - #### get

          public BrowserCache.Entry get​(String key,
                                        javax.ws.rs.core.MediaType accept)

      Specified by:
        `get` in interface `BrowserCache`

    - #### getAny

          public BrowserCache.Entry getAny​(String key)

      Specified by:
        `getAny` in interface `BrowserCache`

    - #### getEntry

          public BrowserCache.Entry getEntry​(String key,
                                             javax.ws.rs.core.MediaType accept)

    - #### remove

          public BrowserCache.Entry remove​(String key,
                                           javax.ws.rs.core.MediaType type)

      Specified by:
        `remove` in interface `BrowserCache`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `BrowserCache`

    - #### put

          public BrowserCache.Entry put​(CacheEntry cacheEntry)

    - #### put

          public BrowserCache.Entry put​(String key,
                                        javax.ws.rs.core.MediaType mediaType,
                                        javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                        byte[] cached,
                                        int expires,
                                        String etag,
                                        String lastModified)

      Specified by:
        `put` in interface `BrowserCache`